%define releasebase  1 
#Use as deafults if no command line inputs
%define as_limulus 1
# define AFS defines here (only used if "--with afs" is given to rpmbuild):
%define afsarch amd
%define afsroot /afs/cad/hpc
# allow --with[out] <feature> at rpm command line build
%{?_with_basement: %{expand: %%define as_basement 1}}
%{?_with_limulus: %{expand: %%define as_limulus 1}}
%{?_with_afs: %{expand: %%define as_afs 1}}
#pick the target
%if "1" == "%{as_basement}"
%define INSTALL_PATH /usr
%define targetbase Basement
%else
%if "1" == "%{as_afs}"
%define targetbase afs_%{afsarch}
%define INSTALL_PATH %{afsroot}/%{afsarch}/usr
%else
%define INSTALL_PATH /usr
%define targetbase Limulus
%endif
%endif


Summary: Parallel bzip2 
name:pbzip2
Version: 1.1.5
Group: %{targetbase}/Admin
Release: %{releasebase}.%{targetbase}
License: BSD 
Source: %{name}-%{version}.tar.gz
URL: http://compression.ca/pbzip2/
Distribution: various
Vendor: Basement Supercompting
Packager: deadline@basement-supercomputing.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
%define ver %{version}-%{release}
BuildREquires:  bzip2-devel
#Requires: 
ExclusiveOS: linux

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file
compressor that uses pthreads and achieves near-linear speedup on SMP
machines.  The output of this version is fully compatible with bzip2
v1.0.2 or newer (ie: anything compressed with pbzip2 can be
decompressed with bzip2).
%prep 
%setup -n %{name}-%{version} 
%build
make
%install
/bin/mkdir -p $RPM_BUILD_ROOT%{INSTALL_PATH}/bin
/bin/mkdir -p $RPM_BUILD_ROOT%{INSTALL_PATH}/man/man1
/bin/cp pbzip2 $RPM_BUILD_ROOT%{INSTALL_PATH}/bin
/bin/cp pbzip2.1 $RPM_BUILD_ROOT%{INSTALL_PATH}/man/man1
%post
%clean
if [ $RPM_BUILD_ROOT != "/" ]; then
  rm -rf $RPM_BUILD_ROOT
fi
%files
%defattr(-,root,root)
%{INSTALL_PATH}/bin
%{INSTALL_PATH}/man
%doc README COPYING AUTHORS

